mayarin
POST
/v1/payment-links

Authorization

secretKey
AuthorizationBearer <token>

Server-side sk_ key. Grants a subset of the merchant's permissions.

In: header

Header Parameters

Idempotency-Key*string

Stable unique key for this logical write. Keep it unchanged when retrying.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/payment-links" \  -H "Idempotency-Key: string" \  -H "Content-Type: application/json" \  -d '{    "kind": "fixed",    "merchant": {      "id": "string",      "name": "string",      "city": "string",      "countryCode": "st"    }  }'
{  "id": "string",  "kind": "string",  "merchant": {    "id": "string",    "name": "string",    "city": "string",    "countryCode": "string",    "categoryCode": "string"  },  "amount": {    "amount": "string",    "asset": "string",    "formatted": "string",    "display": "string"  },  "currency": "string",  "lines": [    {      "productId": "string",      "quantity": 0    }  ],  "title": "string",  "merchantReference": "string",  "metadata": {    "property1": "string",    "property2": "string"  },  "url": "string",  "payable": true,  "listed": true,  "expiresAt": "string",  "disabledAt": "string",  "createdAt": "string",  "updatedAt": "string",  "version": 0}